INQUIRE(8)

NAME
inquire - list devices available

SYNOPSIS
inquire [ -a b.t.l ] [ -l ] [ -N ndmp option ] [ -f filename ]

DESCRIPTION

The inquire program lists SCSI devices available. The inquire program returns INQUIRY data either for the named SCSI device (with the -a option), or for all SCSI devices attached to the system.

OPTIONS

-a b.t.l
    Selects a specific ordinal SCSI address, where b is the logical SCSI bus, t is the SCSI target, and l is the SCSI logical unit number (LUN) on that target. See libscsi(8).

-f  Use with -N to provide a location to the configuration file of the NDMP Server. The config file needs to be created by running the ndmpjbconf program before running the inquire program. The default location for the NetWorker Server on Solaris is /usr/lib/nsr. This location can be changed while running ndmpjbconf.

    The filename argument should be the path of the NDMP jukebox config file such as /usr/lib/nsr/ndmpjbconf_<ndmp hostname>

-l  Performs a complete LUN search for all SCSI adapters in the system. This argument is accepted on all systems, but does not have any effect on HP-UX systems. Due to the method used to scan for available devices on HP-UX systems, all accessible devices are always shown, and the -l option has no additional effect. For all other systems, the normal behavior is to start checking at LUN 0 for SCSI deivces. The first empty LUN found will end the search for a given target ID. With the -l option, all LUNs present on all target IDs for all SCSI busses in the system will be checked for devices. This can take a very long time and should therefore only be used when necessary. For example, a Fibre Channel adapter can support 126 target IDs, each of which may have 80 or more LUNs. Checking all LUNs on this single adapter may take over 10 minutes.

-N  For Solaris, performs an INQUIRY command to the NDMP Server with the provided NDMP Server information in the default location /usr/lib/nsr/ndmpjbconf_<NDMP_hostname>. This location can be set by the LGTO_NDMP_LIBSCSI_CONFIG_FILENAME environment variable or by specifying -f <filename>. The ndmpjbconf program needs to be previously run to create the above configuration file. If neither environment variable nor -f is provided, inquire will try to get NDMP Server information from /usr/lib/nsr/ndmpjbconf file.

    The ndmp option argument should be standard for devices on one of the Standard NDMP servers, netapp for devices on an NetApp NDMP server, or celestra-hp for devices on a Celestra HP NDMP server. However, celestra is still a valid option, for backward compatibility.

SEE ALSO
libscsi(8)

LIMITATIONS

The inquire program always uses the built-in system drivers to test SCSI devices. The device type or path name printed by the inquire program may be incorrect for devices that require special, third-party drivers.

The inquire program cannot retrieve device filenames for NDMP devices on an NDMP server. For a NetApp Filer, information for all drives cannot be retrieved.